#! /usr/bin/env bash

count=0
min=
max=
while true
do
	/bin/true &
	last=$!
	[[ ${min:=${last}} -gt ${last} ]] && min=${last}
	[[ ${max:=${last}} -lt ${last} ]] && max=${last}
	[[ ${#last} > 4 ]] && used=used_${last::((${#last}-4))} || used=used_0

	if [[ ${!used} == *" ${last} "* ]]; then
		break
	fi
	(( count+=1 ))
	eval "${used}+=' ${last} '"
	if [[ "${count}" == *000 ]]; then
		echo ${count}
	fi
done

echo "reused pid ${last} (min ${min}, max ${max}) after ${count} trials."
